Bug#482760: [Joey Schulze]: tramp should remove temporary files

classic Classic list List threaded Threaded
9 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Michael Albinus
Sven Joachim <[hidden email]> writes:

> Hello,

Hi,

> I received this via the Debian bug tracking system.  Comments?

That ought to be resolved in Tramp 2.1 already. I'll see whether I can
backport it to Tramp 2.0 (which is used in Emacs 22).

However, I don't know how it could be distributed with Debian. Likely,
there won't be an Emacs 22.3 anymore (Stefan Monnier said so). And the
Tramp package, offered by Debian as well, has been stalled since 2.0.55.

Maybe it's time to upgrade the Tramp package in Debian? 2.1.13 is the
latest official delivery.

> Cheers,
>        Sven

Best regards, Michael.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Joey Schulze
Michael Albinus wrote:
> > I received this via the Debian bug tracking system.  Comments?
>
> That ought to be resolved in Tramp 2.1 already. I'll see whether I can
> backport it to Tramp 2.0 (which is used in Emacs 22).

Hi,

any update on this?

> However, I don't know how it could be distributed with Debian. Likely,
> there won't be an Emacs 22.3 anymore (Stefan Monnier said so). And the
> Tramp package, offered by Debian as well, has been stalled since 2.0.55.
>
> Maybe it's time to upgrade the Tramp package in Debian? 2.1.13 is the
> latest official delivery.

Rob?

Regards,

        Joey

--
Linux - the choice of a GNU generation.

Please always Cc to me when replying to me on the lists.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Michael Albinus
Joey Schulze <[hidden email]> writes:

> Michael Albinus wrote:
>> > I received this via the Debian bug tracking system.  Comments?
>>
>> That ought to be resolved in Tramp 2.1 already. I'll see whether I can
>> backport it to Tramp 2.0 (which is used in Emacs 22).
>
> Hi,

Hi,

I've backported tramp-make-temp-file from Tramp 2.1. You will get it if
there is an Emacs 22.3 release (not decided yet). Alternatively, you
could upgrade Debian's Tramp package to 2.1.13.

> Regards,
>
> Joey

Best regards, Michael.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Joey Schulze
Michael Albinus sent me the following link that refers to the backported
version for Emacs 22:

http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE

I can confirm that it works fine and as expected.

I would be glad if this version could be included in future emacs22
packages.

Regards,

        Joey

--
Whenever you meet yourself you're in a time loop or in front of a mirror.

Please always Cc to me when replying to me on the lists.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Rob Browning
Joey Schulze <[hidden email]> writes:

> Michael Albinus sent me the following link that refers to the backported
> version for Emacs 22:
>
> http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE
>
> I can confirm that it works fine and as expected.
>
> I would be glad if this version could be included in future emacs22
> packages.
>
> Regards,
>
> Joey

Just to make sure I understand correctly.  Is this is an appropriate
version for emacs22 (Emacs 22.2), and should be be sufficient to just
replace the existing 22.2 tramp.el with this file?

Thanks
--
Rob Browning
rlb @defaultvalue.org and @debian.org; previously @cs.utexas.edu
GPG as of 2002-11-03 14DD 432F AE39 534D B592 F9A0 25C8 D377 8C7E 73A4



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Joey Schulze
Hi Rob!

Rob Browning wrote:

> > Michael Albinus sent me the following link that refers to the backported
> > version for Emacs 22:
> >
> > http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE
> >
> > I can confirm that it works fine and as expected.
> >
> > I would be glad if this version could be included in future emacs22
> > packages.
> >
> > Regards,
> >
> > Joey
>
> Just to make sure I understand correctly.  Is this is an appropriate
> version for emacs22 (Emacs 22.2), and should be be sufficient to just
> replace the existing 22.2 tramp.el with this file?

That worked for me on my sid desktop at least.  I assume it'll work for
other users as well.

Regards,

        Joey

--
Open source is important from a technical angle.             -- Linus Torvalds

Please always Cc to me when replying to me on the lists.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Joey Schulze
Joey Schulze wrote:

> Rob Browning wrote:
> > > Michael Albinus sent me the following link that refers to the backported
> > > version for Emacs 22:
> > >
> > > http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE
> > >
> > > I can confirm that it works fine and as expected.
> > >
> > > I would be glad if this version could be included in future emacs22
> > > packages.

> > Just to make sure I understand correctly.  Is this is an appropriate
> > version for emacs22 (Emacs 22.2), and should be be sufficient to just
> > replace the existing 22.2 tramp.el with this file?
>
> That worked for me on my sid desktop at least.  I assume it'll work for
> other users as well.

Hi Rob,

would it be possible that you forgot to include the tramp update in a new
Emacs22 upload?  On another sid machine where I didn't exchange the tramp
file several tramp temporary files piled up.  This is most probably also
the case for any lenny system. :(

Regards,

        Joey

--
Life is a lot easier when you have someone to share it with.  -- Sean Perry

Please always Cc to me when replying to me on the lists.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Sven Joachim
In reply to this post by Joey Schulze
On 2008-06-27 14:35 +0200, Joey Schulze wrote:

> Michael Albinus sent me the following link that refers to the backported
> version for Emacs 22:
>
> http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE
>
> I can confirm that it works fine and as expected.
>
> I would be glad if this version could be included in future emacs22
> packages.

It seems to be included in Emacs 22.3 which has just been uploaded, so I
think we can close the bug now.  Do you agree?

Cheers,
       Sven



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]

Reply | Threaded
Open this post in threaded view
|

Bug#482760: [Joey Schulze]: tramp should remove temporary files

Joey Schulze
Sven Joachim wrote:

> On 2008-06-27 14:35 +0200, Joey Schulze wrote:
>
> > Michael Albinus sent me the following link that refers to the backported
> > version for Emacs 22:
> >
> > http://cvs.savannah.gnu.org/viewvc/*checkout*/emacs/lisp/net/tramp.el?revision=1.124.2.14&root=emacs&pathrev=EMACS_22_BASE
> >
> > I can confirm that it works fine and as expected.
> >
> > I would be glad if this version could be included in future emacs22
> > packages.
>
> It seems to be included in Emacs 22.3 which has just been uploaded, so I
> think we can close the bug now.  Do you agree?

Then the bug should be closed with the upload.  The bug has not been
mentioned in the changelog, it seems.

emacs22 (22.3+1-1) unstable; urgency=low

  * New upstream release. (closes: #512134)

 -- Rob Browning <[hidden email]>  Sat, 28 Mar 2009 19:18:43 -0700

When the update is included in this file, the bug shuold be closed.

Regards,

        Joey

--
The good thing about standards is that there are so many to choose from.
                -- Andrew S. Tanenbaum

Please always Cc to me when replying to me on the lists.



--
To UNSUBSCRIBE, email to [hidden email]
with a subject of "unsubscribe". Trouble? Contact [hidden email]